centos 7.x下,安装vscode

原创 2017年06月19日 10:14:29

对于vscode,已经更新到1.13了,更新的好快啊。有的时候,需要在linux下面工作,所以我选择了centos 7.x

废话一下ubuntu,最新17.04,我试装过不少版本(虚拟机下),最后就一个字卡。所以,每次都果断放弃了。反过来说,centos 桌面,虽然很多东西不是很新,但是在虚拟机下,它一点都不卡。centos 7.x的GUI也非常不错。

对于怎么安装vscode,参考官方的https://code.visualstudio.com/docs/setup/linux 有详细的说明。

对于centos则如下:

sudo rpm --import https://packages.microsoft.com/keys/microsoft.asc
sudo sh -c 'echo -e "[code]\nname=Visual Studio Code\nbaseurl=https://packages.microsoft.com/yumrepos/vscode\nenabled=1\ngpgcheck=1\ngpgkey=https://packages.microsoft.com/keys/microsoft.asc" > /etc/yum.repos.d/vscode.repo'

然后用yum命令安装

yum check-update
sudo yum install code

完成后,就可以用vscode了

后面附两张centos 7.x的UI




版权声明:本文为博主原创文章,未经博主允许不得转载。

centos 安装VSCODE 的经历

1. 首先,根据微软VSCODE的安装步骤来  https://code.visualstudio.com/docs/setup/linux 第一步 就遇到了问题 sudo rpm --import...
  • keidoekd2345
  • keidoekd2345
  • 2017年07月11日 21:43
  • 1155

Linux中使用VS Code编译调试C++项目详解

最近因为项目的需求,需要在Linux下开发C++相关项目,经过一番摸索最终实现了,下面这篇文章就给大家简单总结了一下如何通过VS Code进行编译调试的一些注意事项。有需要的朋友们可以参考借鉴,下面来...
  • u010984552
  • u010984552
  • 2017年03月12日 16:28
  • 3141

centos7 vscode c++ 扩展不生效处理

因为vscode 使用的 glibc库版本是2.18,而 centos7使用的是2.17所以导致不行 1. 下载编译 glibc 2.18 wget http://ftp.gnu.org/...
  • Lava_sdb
  • Lava_sdb
  • 2017年02月25日 07:58
  • 961

Linux安装VSCode

1.下载Linux版本的VSCode,链接:http://go.microsoft.com/fwlink/?LinkID=534108 2.解压 3.进入解压后的文件夹,双击“Code”文...
  • TKDwave520
  • TKDwave520
  • 2015年10月11日 22:29
  • 11485

linux 上安装 vscode

以CentOS 7为例 一、安装 $ sudo rpm --import https://packages.microsoft.com/keys/microsoft.asc $ sudo sh -c ...
  • chenjun15
  • chenjun15
  • 2017年07月24日 20:53
  • 1077

[LInux]VScode的安装和调试

linux下vscode的安装和调试
  • bianlihao1993
  • bianlihao1993
  • 2017年05月03日 11:09
  • 9602

Centos7 VS code golang 开发环境搭建

Centos7 VS code golang 开发环境搭建在上一篇文章—-centos7下配置golang1.9.2环境,之后就一直用Sublime text,还处在初级阶段,代码量也不大,最近下了d...
  • xj178926426
  • xj178926426
  • 2017年12月25日 23:51
  • 194

CentOS7.2下安装VSCode1.6.1后启动失败

CentOS7.2下安装VSCode1.6.1后启动失败
  • rznice
  • rznice
  • 2016年11月01日 15:02
  • 1806

centos下安装visual studio code出现can't find libXss.so.1,出现这在类似怎么查找相关包

在安装visual studio code时候。出现libXss.so.1被依赖,这个so文件要查看是属于那个包,通过此命令repoquery --nvr --whatprovides libXss....
  • learner198461
  • learner198461
  • 2017年01月16日 15:29
  • 2614

CentOS7.3安装VirtualBox

CentOS7.3安装Virtualbox
  • hobohero
  • hobohero
  • 2017年01月12日 20:48
  • 2389
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:centos 7.x下,安装vscode
举报原因:
原因补充:

(最多只允许输入30个字)